# Generated by Django 4.1.6 on 2023-04-09 14:11

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):
    dependencies = [
        (
            "core",
            "0003_rename_from_patient_id_patientrelationship_from_patient_and_more",
        ),
        ("common", "0002_alter_tenant_uuid"),
    ]

    operations = [
        migrations.AddField(
            model_name="city",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="country",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="department",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="devicetype",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="firstname",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="language",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="medication",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="medicationroute",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="medicationterminologysystem",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="organization",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="specialty",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="zipcode",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AlterField(
            model_name="city",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="country",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="department",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="devicetype",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="firstname",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="language",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="medication",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="medicationroute",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="medicationterminologysystem",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="organization",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="specialty",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="zipcode",
            name="maintainer",
            field=models.SmallIntegerField(
                choices=[(1, "Vendor"), (2, "Tenant")], default=2
            ),
        ),
        migrations.AlterField(
            model_name="city",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="country",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="department",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="devicetype",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="firstname",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="language",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="medication",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="medicationroute",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="medicationterminologysystem",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="organization",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="specialty",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
        migrations.AlterField(
            model_name="zipcode",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
    ]
